import('model.Component')
import('model.toolbar.section.table.Table')

---@class DeleteRow : Component
DeleteRow = Component:extendAs("model.toolbar.section.table.header.DeleteRow")

function DeleteRow:create(parent)
    local element = DeleteRow:createRoot(parent, {
        type = "sprite-button",
        sprite = "interface-mod_delete-row",
        style = "toolbar_button_icon_gray" })
    return DeleteRow:new(element)
end

function DeleteRow:new(element)
    return DeleteRow:super(Component:new(element))
end

function DeleteRow:handleGuiEvent(guiEvent)
    if guiEvent:isLeftClick() then
        self:table():tryRemovingLastRow()
    end
end

---@private
---@return Table
function DeleteRow:table()
    return self:ancestor(Table)
end
