import('model.Component')
import('model.toolbar.section.table.header.DeleteRow')
import('model.toolbar.section.table.header.AddRow')
import('model.toolbar.section.table.header.DeleteColumn')
import('model.toolbar.section.table.header.AddColumn')

---@class TableHeader : Component
TableHeader = Component:extendAs("model.toolbar.section.table.header.Header")

---@param parent LuaGuiElement
---@return TableHeader
function TableHeader:create(parent)
    local root = TableHeader:createRoot(parent, {
        type = "flow",
        direction = "horizontal",
        style = "toolbar_content_sectionList_section_content_table_header" })

    DeleteRow:create(root)
    AddRow:create(root)
    DeleteColumn:create(root)
    AddColumn:create(root)

    return TableHeader:new(root)
end

---@public
---@param element LuaGuiElement
---@return TableHeader
function TableHeader:new(element)
    return TableHeader:super(Component:new(element))
end

function TableHeader:childrenClasses()
    return { DeleteRow, AddRow, DeleteColumn, AddColumn }
end

function TableHeader:lock()
    self:hide()
end

function TableHeader:unlock()
    self:show()
end
